Subject: Re: bug#38079: On Windows tramp hangs after server-start is called

From: Eli Zaretskii <[email-masked]>
Date: Fri, 08 Nov 2019 12:34:22 +0200

> From: Michael Albinus <[email-masked]>
> Cc: Wanrong Lin <[email-masked]>,  [email-masked]
> Date: Fri, 08 Nov 2019 08:51:42 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> But I don't understand the underlying difficulty to ensure
> >> system-name never changes.
> >
> > There are two system calls that return this information on Windows,
> > and they treat the letter-case differently.  The second system call
> > needs the winsock layer to be initialized, and we don't want to do
> > that at startup because it causes various problems (sorry, I no longer
> > remember the details of that part).  So we only call the network-aware
> > system call after some network connection is available.
> 
> Shouldn't we document this in etc/PROBLEMS?

What would you suggest to document?  This is an internal detail of the
Emacs implementation, and users have no control on the results.  Maybe
I'm missing something, but what useful workarounds can we suggest?